WP6StyleStateSequence Class Reference

`#include <WP6ContentListener.h>`

## Public Member Functions

| WP6StyleStateSequence ()
void | setCurrentState (WP6StyleState state)
WP6StyleState | getCurrentState () const
WP6StyleState | getPreviousState () const
void | clear ()

## Private Attributes

std::vector< WP6StyleState > | m_stateSequence

## Constructor & Destructor Documentation

## WP6StyleStateSequence()

WP6StyleStateSequence::WP6StyleStateSequence | ( |  | ) |

inline

## Member Function Documentation

## clear()

void WP6StyleStateSequence::clear | ( |  | ) |

inline

Referenced by WP6StyleStateSequence().

## getCurrentState()

WP6StyleState WP6StyleStateSequence::getCurrentState | ( |  | ) | const

inline

## getPreviousState()

WP6StyleState WP6StyleStateSequence::getPreviousState | ( |  | ) | const

inline

## setCurrentState()

void WP6StyleStateSequence::setCurrentState | ( | WP6StyleState | state | ) |

inline

## Member Data Documentation

## m_stateSequence

std::vector<WP6StyleState> WP6StyleStateSequence::m_stateSequence

private

Referenced by clear(), getCurrentState(), getPreviousState(), setCurrentState(), and WP6StyleStateSequence().

The documentation for this class was generated from the following file:

- WP6ContentListener.h